Skip to main content
GET
/
businesses
/
{businessID}
Get Business By ID
curl --request GET \
  --url https://api.joinworth.com/case/api/v1/businesses/{businessID} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Business fetched successfully",
  "data": {
    "id": "346ddd58-8850-4b4c-9781-501630eea4e6",
    "name": "Company Incorporated",
    "tin": "XXXXX3123",
    "mobile": "+11231231234",
    "official_website": "https://www.somebusiness.com",
    "public_website": "https://www.somebusiness.com",
    "social_account": "https://www.linkedin.com/in/someguy",
    "address_apartment": null,
    "address_line_1": "123, Testing Street",
    "address_line_2": null,
    "address_city": "New York",
    "address_state": "New York",
    "address_postal_code": "10038",
    "address_country": "US",
    "created_at": "2024-01-24T10:23:44.602Z",
    "created_by": "725b5eaa-022a-4207-a9ef-bbc08acca549",
    "updated_at": "2024-02-06T13:04:08.508Z",
    "updated_by": "725b5eaa-022a-4207-a9ef-bbc08acca549",
    "status": "ACTIVE",
    "industry": 13,
    "mcc_id": 13,
    "naics_id": 13,
    "naics_code": 621210,
    "naics_title": "Offices of Dentists",
    "mcc_code": 8021,
    "mcc_title": "Dentists/Dental Services",
    "external_id": "unique_external_guid_01",
    "customer_id": "123456",
    "is_monitoring_enabled": false,
    "deleted_by": null,
    "deleted_at": null,
    "subscription": {
      "status": null,
      "created_at": null,
      "updated_at": null
    },
    "business_names": [
      {
        "name": "Company Incorporated",
        "is_primary": true
      }
    ],
    "business_addresses": [
      {
        "line_1": "123 Testing Road",
        "apartment": null,
        "city": "New York",
        "state": "New York",
        "country": "US",
        "postal_code": "10038",
        "mobile": "+11231231234",
        "is_primary": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessID
string
required
Example:

"fd9021b0-8056-4ffc-9191-23ab4b9ca906"

Query Parameters

fetch_owner_details
boolean
Example:

true

Response

OK

status
string
message
string
data
Data40 · object